/*
	Copyright (C) 2005 by Ruben Zilibowitz <rzilibowitz@users.sourceforge.net>
	Part of the Toy Cars Project http://toycars.sourceforge.net

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License.
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/
/*
 *  Created by Ruben Zilibowitz on 17/12/05.
 */

#ifndef HOTPOTATOGAME_H
#define HOTPOTATOGAME_H

#include "CarGame.h"

class HotPotatoGame : public CarGame
{
public:
            HotPotatoGame(ScTilemap* inTilemap, Player** inPlayers, int inNumPlayers, Tuple inStartLineA, Tuple inStartLineB, double inFuseTime, const list<Tuple> *inPathPolygon);
    virtual ~HotPotatoGame();
    
	void	detonate(Player* player);
	virtual void	renderEveryTexture();
protected:
	PlayerBomb* bomb;
	Player*		playerWithBomb;
	double		bombFuseLength;
    
    virtual void    collisionAction(list<Contact> &contacts, Player* playerI, Player* playerJ);
	virtual void	drawTime(double theTime);
	virtual void drawDisplay(Player *player);
	void drawLose(Player *player);
	void drawWin(Player *player);
};

#endif
