/*
	Copyright (C) 2005 by Ruben Zilibowitz <rzilibowitz@users.sourceforge.net>
	Part of the Toy Cars Project http://toycars.sourceforge.net

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License.
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/
/*
 *  Created by Ruben Zilibowitz on 17/08/06.
 */

#ifndef PATHLINE_H
#define PATHLINE_H

#include "ScPanel.h"
#include "Tuple.h"
#include "GameConstants.h"

class PathLine : public ScPanel
{
public:
	PathLine(const ScRect& inBounds, const list<Tuple> *inPathPolygon)
		: ScPanel(inBounds), pathPolygon(inPathPolygon)
	{}
	~PathLine() {}
	
protected:
	const list<Tuple> *pathPolygon;
	
	void draw()
	{
		glColor3f(1.0, 0.0, 0.0);
		glDisable(GL_TEXTURE_2D);
		glEnable(GL_TEXTURE_1D);
		glBegin(GL_LINE_LOOP);
		for (list<Tuple>::const_iterator i = pathPolygon->begin(); i != pathPolygon->end(); i++) {
			glVertex2d(i->x * kScale, i->y * kScale);
		}
		glEnd();
	}
};

#endif
