/*
	Copyright (C) 2005 by Ruben Zilibowitz <rzilibowitz@users.sourceforge.net>
	Part of the Toy Cars Project http://toycars.sourceforge.net

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License.
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

/*
 *  Created by Ruben Zilibowitz on 19/04/05.
 */

#ifndef STARTLINE_H
#define STARTLINE_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "ScPanel.h"
#include "Tuple.h"

const double kDefaultStartLineWidth = 20.0;

class Startline : public ScPanel
{
public:
	Startline(Tuple inP1, Tuple inP2, double width = kDefaultStartLineWidth, bool inDrawArrow = false);
	~Startline();
	
	void doDraw();
	
	void setLine(Tuple inP1, Tuple inP2, double width = kDefaultStartLineWidth);
	
	Tuple getStartPoint() { return (pA+pD)*0.5; }
	Tuple getEndPoint() { return (pB+pC)*0.5; }
	
protected:
	Tuple p1, p2;
	Tuple pA, pB, pC, pD;	// the coordinates of the quad shape around the line
	GLuint texID;	// the texture id of the checks
	bool drawArrow;
};

#endif
